karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Otasek (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-5611) karaf.bat still uses endorsed dirs with Java 9 install
Date Mon, 12 Mar 2018 20:02:05 GMT

    [ https://issues.apache.org/jira/browse/KARAF-5611?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16395796#comment-16395796
] 

David Otasek commented on KARAF-5611:
-------------------------------------

{code:java}
C:\Program Files\Java\jre-9.0.4
java version "9.0.4"
Java(TM) SE Runtime Environment (build 9.0.4+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode){code}
The above is what I'm running.

Part of this seems to be the setting of %JAVA_VERSION%. If I echo %JAVA_VERSION% before
the GTR test, I get nothing, which suggests to me that it hasn't been set, or that something
went wrong while setting it. 

In the altered batch file I included, I set  %JAVA_VERSION% explicitly, and execute the
if statement without the quotes in the original. That seems to work, but doesn't answer why %JAVA_VERSION%
isn't set otherwise.

> karaf.bat still uses endorsed dirs with Java 9 install
> ------------------------------------------------------
>
>                 Key: KARAF-5611
>                 URL: https://issues.apache.org/jira/browse/KARAF-5611
>             Project: Karaf
>          Issue Type: Bug
>    Affects Versions: 4.2.0.M2
>         Environment: Running on Windows 10 Enterprise v 1703
> java version "9.0.4"
> Java(TM) SE Runtime Environment (build 9.0.4+11)
> Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)
>            Reporter: David Otasek
>            Assignee: Jean-Baptiste Onofré
>            Priority: Major
>             Fix For: 4.2.0
>
>         Attachments: karaf.bat
>
>
> karaf.bat does appear to recognise my Java 9, and still attempts to execute with endorsed
dirs, resulting in this error message:
> {quote}-Djava.endorsed.dirs=C:\Program Files\Java\jre-9.0.4\jre\lib\endorsed;C:\Program
Files\Java\jre-9.0.4\lib\endorsed;C:\Users\D Otasek\Desktop\cytoscape-windows-3.7.0-SNAPSHOT\framework\bin\..\lib\endorsed
is not supported. Endorsed standards and standalone APIs
> in modular form will be supported via the concept of upgradeable modules.
> Error: Could not create the Java Virtual Machine.
> Error: A fatal exception has occurred. Program will exit.{quote}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message